/*
This code is used to test the codes for each button of an infrared remote
Simply press a button on the remote and it will print the code in HEX format.
These HEX codes can then be used in a switch case statement to run a different code block for each button
Lincoln Clarke, July 14, 2024
*/

#include <IRremote.hpp> // Include the IRremote library, v4

#define IRrecvPin 2

void setup() {
  Serial.begin(9600); // Start the serial communication with the baud rate of 9600
  IrReceiver.begin(IRrecvPin, DISABLE_LED_FEEDBACK); // Start the receiver
}

void loop() {
  if (IrReceiver.decode()) { // If a code is received store it in results and enter the loop
    receivedCommand = IrReceiver.decodedIRData.decodedRawData; // Store the received IR command
    Serial.print("Received command: "); 
    Serial.println(receivedCommand, HEX); // Print the received command
    }
    IrReceiver.resume(); // Prepare to receive the next command
}
